import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.ConnectException;
import java.net.HttpURLConnection;
import java.net.Socket;
import java.net.URL;
import java.net.UnknownHostException;


public class http {
	
	
	public int responseCode = 0;
	public String responseHTML = new String();
	public String responseServer = new String();
	public String responsefull = new String();
	
	private final String USER_AGENT = "ErrorMint";
	
	
	
    public void httpThroguhSocket(String server, int port, String request,int delay)
    {
		BufferedReader in = null;
		PrintWriter out = null;
		
		boolean beginHTML = false;
		String inputLine;
		StringBuffer response = new StringBuffer();
		StringBuffer fullresponse = new StringBuffer();
		
    	try {
	    	
    		Socket soc=new Socket(server,port);
   		
    		out = new PrintWriter(new OutputStreamWriter(soc.getOutputStream()), true);
    		out.println(request);
    		if (delay!=0){ 
    			try { Thread.sleep(delay); } 
    			catch(InterruptedException ex) { Thread.currentThread().interrupt(); }
    		}
    		soc.shutdownOutput();
       		
    		in = new BufferedReader(new InputStreamReader(soc.getInputStream()));
     		
    		while ((inputLine = in.readLine()) != null) {
    			if (inputLine.startsWith("HTTP/1.")) responseCode = Integer.parseInt(inputLine.substring(9,12));
    			if (inputLine.startsWith("Server: ")) {
    				responseServer = inputLine.substring(8);
    			}
    			if (inputLine.contains("<")) beginHTML = true;
    			if (beginHTML) response.append(inputLine);	
    			fullresponse.append(inputLine);
    		}
    		responsefull = fullresponse.toString();
			responseHTML = response.toString();
			
			in.close();
			soc.close(); 
			out.close();
			
    	} catch (ConnectException e) { 
    		responseCode = 0;
    		responseServer = "ServerDown";
    		responsefull = "Port 80 not available";
			responseHTML = "Port 80 not available";
    	} 
    	catch (UnknownHostException e2) { System.out.println("UnknownHostException - Check if server name has a space at the end"); }
    	catch (IOException e) { e.printStackTrace(); }

    	
    }


	public void get(String url) {
		String inputLine;
		StringBuffer response = new StringBuffer();
		BufferedReader in = null;
		
		try {
			URL urlobj = new URL(url);
			HttpURLConnection con = (HttpURLConnection) urlobj.openConnection();
			
			try {
				con.setRequestMethod("GET");
				con.setRequestProperty("User-Agent", USER_AGENT);
				
				responseCode = con.getResponseCode();
				responseServer = con.getHeaderField("Server");
				
				in = new BufferedReader(new InputStreamReader(con.getInputStream()));
				while ((inputLine = in.readLine()) != null) response.append(inputLine);
				in.close();
				responseHTML = response.toString();
				
			} catch (IOException e) {
			
				in = new BufferedReader(new InputStreamReader(con.getErrorStream()));
				while ((inputLine = in.readLine()) != null) response.append(inputLine);
				in.close();
				responseHTML = response.toString();
			}
			
			
		} catch (IOException e){
			System.out.println("AQUI");
			e.printStackTrace();
		} 
	}
	
}
